## nasm-mozilla 2.14.02

=== doc/Makefile ===
#
# UNIX Makefile for NASM documentation
#

top_srcdir	= ..
srcdir		= .

prefix		= /usr/local
exec_prefix	= ${prefix}
bindir		= ${exec_prefix}/bin
mandir		= ${datarootdir}/man
docdir		= ${datarootdir}/doc/${PACKAGE}
htmldir		= ${docdir}
infodir		= ${datarootdir}/info
datarootdir	= ${prefix}/share

INSTALL		= /bin/install -c
INSTALL_PROGRAM	= ${INSTALL}
INSTALL_DATA	= ${INSTALL} -m 644

PERL		= perl -I$(srcdir)

PDFOPT		= 

MKDIR		= mkdir
RM_F		= rm -f
RM_RF		= rm -rf
CP_F		= cp -f
CP_UF		= cp -ufv

# Auxiliary files referenced by the HTML files
HTMLAUX		= nasmdoc.css local.css nasmlogw.png

SRCS		= nasmdoc.src inslist.src changes.src version.src
OUT		= html nasmdoc.txt nasmdoc.pdf

.SUFFIXES:
.SUFFIXES: .pfa .ph

all: $(OUT)

inslist.src: inslist.pl ../x86/insns.dat
	$(PERL) $(srcdir)/inslist.pl $(srcdir)/../x86/insns.dat

.PHONY: html
html: $(HTMLAUX)
	$(MKDIR) -p html
	for f in $(HTMLAUX); do $(CP_UF) "$(srcdir)/$$f" html/; done
	$(MAKE) html/nasmdoc0.html

RDSRC = $(PERL) $(srcdir)/rdsrc.pl -I$(srcdir)/

html/nasmdoc0.html: $(SRCS) rdsrc.pl
	$(RM_F) html/*.html
	$(RDSRC) -ohtml html nasmdoc.src

nasmdoc.dip: $(SRCS) rdsrc.pl
	$(RDSRC) dip nasmdoc.src

nasmdoc.txt: $(SRCS) rdsrc.pl
	$(RDSRC) txt nasmdoc.src

version.src: $(top_srcdir)/version.pl $(top_srcdir)/version
	$(PERL) $(top_srcdir)/version.pl docsrc \
		< $(top_srcdir)/version > version.src

nasmdoc.ps: nasmdoc.dip genps.pl afmmetrics.ph ttfmetrics.ph \
	pswidth.ph nasmlogo.eps psfonts.ph head.ps
	$(PERL) $(srcdir)/genps.pl -epsdir "$(srcdir)" \
		-headps $(srcdir)/head.ps nasmdoc.dip \
		> nasmdoc.ps

nasmdoc.pdf: nasmdoc.ps pspdf.pl
	$(PERL) $(srcdir)/pspdf.pl $(PDFOPT) nasmdoc.ps nasmdoc.pdf

clean:
	-$(RM_F) *.rtf *.hpj *.texi *.gid *.ipf *.dip
	-$(RM_F) *.aux *.cp *.fn *.ky *.pg *.log *.toc *.tp *.vr
	-$(RM_F) inslist.src version.src
	-$(RM_F) nasmdoc*.ps

spotless: clean
	-$(RM_RF) html info
	-$(RM_F) *.hlp nasmdoc.txt *.inf *.pdf *.dvi

install: all
	$(MKDIR) -p $(DESTDIR)$(htmldir)
	$(INSTALL_DATA) html/* $(DESTDIR)$(htmldir)
	$(MKDIR) -p $(DESTDIR)$(docdir)
	$(INSTALL_DATA) nasmdoc.pdf nasmdoc.txt $(DESTDIR)$(docdir)

## nasm-mozilla 2.13.02

=== debian/changelog ===
nasm-mozilla (2.13.02-0ubuntu0.14.04.1) trusty; urgency=medium

  [ Rico Tzschichholz ]
  * Backport nasm 2.13 to trusty for building Firefox

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Thu, 21 Mar 2019 18:44:25 +0100

nasm (2.13.02-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream version.
    - Addresses CVE-2017-14228. Closes: #874731.
    - Addresses CVE-2017-11111 CVE-2017-10686. Closes: #867988.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Tue, 05 Dec 2017 08:31:54 +0100

nasm (2.13.01-2) unstable; urgency=medium

  [ Raymond Nicholson ]
  * sort 'keys' for reproducibility (doc/genps.pl), Closes: #820194

  [ Gianfranco Costamagna ]
  * Switch to new dh calls
  * Switch to compat level 10
  * Add font-config to build-dependencies, fixing an error during build.

 -- Jordan Justen <jordan.l.justen@intel.com>  Thu, 18 May 2017 23:02:49 -0700

nasm (2.13.01-1) experimental; urgency=low

  * New upstream version 2.13.01
  * Update debian patches for 2.13.01 release
  * Run wrap-and-sort
  * Add libfont-ttf-perl build dependency
  * Add libsort-versions-perl build dependency
  * Add fonts-liberation2 build dependency
  * Add patches to use liberation fonts
  * Change my email address
  * Don't install info docs since nasm no longer supports them

 -- Jordan Justen <jordan.l.justen@intel.com>  Mon, 08 May 2017 09:33:23 -0700

nasm (2.12.02-1) experimental; urgency=low

  * New upstream version 2.12.02

 -- Jordan Justen <jljusten@gmail.com>  Mon, 30 Jan 2017 01:15:41 -0800

nasm (2.12.01-1) unstable; urgency=low

  * New upstream version 2.12.01
  * Fix ancient-standards-version 3.9.5 (current is 3.9.7)

 -- Jordan Justen <jljusten@gmail.com>  Mon, 25 Apr 2016 11:25:17 -0700

nasm (2.11.08-1) unstable; urgency=medium

  * New upstream version 2.11.08
  * Update debian/copyright
  * Update homepage in debian/control
  * Make the build reproducible (timestamps)
    Add 04-reproducible-build.patch
    Patch by Valentin Lorentz
    Closes: #796335

 -- Anibal Monsalve Salazar <anibal@debian.org>  Mon, 11 Jan 2016 10:33:59 +0000

nasm (2.11.06-1really2.11.05-1) unstable; urgency=low

  * Upload 2.11.05-1 to unstable.
    2.11.06-1 in unstable makes syslinux FTBFS.
    Closes: #769160.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Wed, 12 Nov 2014 10:42:57 +0000

nasm (2.11.06-1) unstable; urgency=medium

  * Debian policy version is 3.9.6.
  * New upstream version 2.11.06.
  * Refresh patches.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Wed, 05 Nov 2014 23:51:52 +0000

nasm (2.11.05-1) unstable; urgency=medium

  * New upstream version 2.11.05.
  * Use default compression for binary packages.
  * Refresh patches.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Tue, 09 Sep 2014 05:22:04 +0100

nasm (2.11-1) unstable; urgency=medium

  * New upstream version 2.11 

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sun, 16 Feb 2014 12:50:55 +1100

nasm (2.10.09-1) unstable; urgency=low

  * New upstream version 2.10.09
  * Debian policy version is 3.9.5
  * Update debian/watch

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sun, 29 Dec 2013 13:46:31 +1100

nasm (2.10.07-1) unstable; urgency=low

  * New upstream version 2.10.07
  * Debian policy version is 3.9.4
  * debian/rules: pass CPPFLAGS through CFLAGS
    Patch by Simon Ruderich
    Closes: #681490

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sat, 25 May 2013 12:37:46 +1000

nasm (2.10.01-1) unstable; urgency=low

  * New upstream version 2.10.01
  * Enable hardened build flags
  * DH compatibility level is 9

 -- Anibal Monsalve Salazar <anibal@debian.org>  Thu, 14 Jun 2012 11:13:09 +1000

nasm (2.10-1) unstable; urgency=low

  * New upstream version 2.10
  * Ship nasmdoc.pdf
    Closes: 439434
  * Fix out-of-date-standards-version
  * Fix spelling-error-in-doc-base-abstract-field

 -- Anibal Monsalve Salazar <anibal@debian.org>  Thu, 12 Apr 2012 08:00:57 +1000

nasm (2.09.10-1) unstable; urgency=low

  * New upstream version 2.09.10
  * Fix debian-rules-missing-recommended-target

 -- Anibal Monsalve Salazar <anibal@debian.org>  Mon, 29 Aug 2011 12:41:12 +1000

nasm (2.09.08-1) unstable; urgency=low

  * New upstream
  * Debian policy version is 3.9.2

 -- Anibal Monsalve Salazar <anibal@debian.org>  Wed, 13 Apr 2011 15:06:34 +1000

nasm (2.09.07-1) unstable; urgency=low

  * New upstream

 -- Anibal Monsalve Salazar <anibal@debian.org>  Wed, 23 Mar 2011 17:47:41 +1100

nasm (2.09.06-1) unstable; urgency=low

  * New upstream 

 -- Anibal Monsalve Salazar <anibal@debian.org>  Wed, 09 Mar 2011 21:26:17 +1100

nasm (2.09.04-1) unstable; urgency=low

  * New upstream 

 -- Anibal Monsalve Salazar <anibal@debian.org>  Fri, 26 Nov 2010 18:01:10 +1100

nasm (2.09.02-1) unstable; urgency=low

  * New upstream 
  * Pass parameters -Zbzip2 and -z9 to dpkg-deb via dh_builddeb

 -- Anibal Monsalve Salazar <anibal@debian.org>  Fri, 15 Oct 2010 15:27:55 +1100

nasm (2.09.01-1) unstable; urgency=low

  * New upstream 

 -- Anibal Monsalve Salazar <anibal@debian.org>  Fri, 10 Sep 2010 20:24:27 +1000

nasm (2.09-1) unstable; urgency=low

  * New upstream 

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sat, 04 Sep 2010 21:39:13 +1000

nasm (2.08.02-1) unstable; urgency=low

  * New upstream 
    Closes: 589530
  * Fix out-of-date-standards-version

 -- Anibal Monsalve Salazar <anibal@debian.org>  Tue, 24 Aug 2010 17:42:49 +1000

nasm (2.08.01-1) unstable; urgency=low

  * New upstream 
  * Source/format is 3.0 (quilt)
  * Update debian/watch
  * Fix out-of-date-standards-version
  * Fix missing-dependency-on-install-info
  * Fix install-info-used-in-maintainer-script

 -- Anibal Monsalve Salazar <anibal@debian.org>  Wed, 02 Jun 2010 21:39:58 +1000

nasm (2.07-1) unstable; urgency=low

  * New upstream 

 -- Anibal Monsalve Salazar <anibal@debian.org>  Wed, 29 Jul 2009 17:34:26 +1000

nasm (2.06-1) unstable; urgency=low

  * New upstream 
  * Fix out-of-date-standards-version


=== debian/control ===
Source: nasm-mozilla
Section: devel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Anibal Monsalve Salazar <anibal@debian.org>
Uploaders:
 Jordan Justen <jordan.l.justen@intel.com>,
Standards-Version: 4.1.2
Build-Depends:
 debhelper (>= 9),
 dpkg-dev (>= 1.16.1~),
 fonts-liberation,
 fontconfig,
 ghostscript,
 libfont-ttf-perl,
 libsort-versions-perl,
 texinfo,
Homepage: http://www.nasm.us/

Package: nasm-mozilla
Architecture: any
Depends:
 dpkg (>= 1.15.4) | install-info,
 ${misc:Depends},
 ${shlibs:Depends},
Description: General-purpose x86 assembler
 Netwide Assembler.  NASM will currently output flat-form binary files,
 a.out, COFF and ELF Unix object files, and Microsoft 16-bit DOS and
 Win32 object files.
 .
 Also included is NDISASM, a prototype x86 binary-file disassembler
 which uses the same instruction table as NASM.
 .
 NASM is released under the GNU Lesser General Public License (LGPL).

## nasm-mozilla 2.14

=== debian/changelog ===
nasm-mozilla (2.14-1~deb9u1) stretch; urgency=medium

  * Non-maintainer upload.
  * Backport to stretch as nasm-mozilla, required by Firefox ESR 68.
  * Lower debhelper compat to 10.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Mon, 26 Aug 2019 10:38:27 +0200

nasm (2.14-1) unstable; urgency=medium

  * d/patches: Rebase patches for 2.14
  * d/control: Upgrade standards-version to 4.2.1

 -- Jordan Justen <jordan.l.justen@intel.com>  Sat, 17 Nov 2018 22:22:52 -0800

nasm (2.13.03-2) unstable; urgency=medium

  * d/gbp.conf: Add git buildpackage config file
  * d/patches: Fix lintian spelling warning (attachement)
  * d/control: Update Standards-Version to 4.2.0
  * d/patches: Cherry-pick gcc-8 fixes from upstream. (Closes: #897817)

 -- Jordan Justen <jordan.l.justen@intel.com>  Wed, 08 Aug 2018 13:22:12 -0700

nasm (2.13.03-1) unstable; urgency=low

  * New upstream release
  * Remove trailing whitespace from changelog
  * Remove doc-base for lintian doc-base-file-references-missing-file.
    Closes: #890234.
  * d/control: Add Vcs-Git and Vcs-Browser
  * d/control: Update to compat/debhelper 11
  * d/control: Update to Standards-Version 4.1.4
  * d/watch: Use https for www.nasm.us (fixes debian-watch-uses-insecure-uri)

 -- Jordan Justen <jordan.l.justen@intel.com>  Fri, 25 May 2018 09:07:41 -0700

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,22 @@
 Source: nasm-mozilla
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Anibal Monsalve Salazar <anibal@debian.org>
+Maintainer: Anibal Monsalve Salazar <anibal@debian.org>
 Uploaders:
  Jordan Justen <jordan.l.justen@intel.com>,
-Standards-Version: 4.1.2
+Standards-Version: 4.2.1
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 10),
  dpkg-dev (>= 1.16.1~),
- fonts-liberation,
+ fonts-liberation2,
  fontconfig,
  ghostscript,
  libfont-ttf-perl,
  libsort-versions-perl,
  texinfo,
 Homepage: http://www.nasm.us/
+Vcs-Git: https://salsa.debian.org/debian/nasm.git
+Vcs-Browser: https://salsa.debian.org/debian/nasm
 
 Package: nasm-mozilla
 Architecture: any

=== debian/rules ===
#! /usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

CFLAGS += $(CPPFLAGS)

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --prefix=/usr/lib/nasm-mozilla

override_dh_auto_build:
	dh_auto_build
	$(MAKE) doc

# empty override, fills example directory with lots of files
override_dh_auto_test:

override_dh_auto_install:
	dh_auto_install -- install_rdf

override_dh_install:
	dh_install
	rm -r debian/nasm-mozilla/usr/lib/nasm-mozilla/share/

## nasm-mozilla 2.14.02

=== debian/changelog ===
nasm-mozilla (2.14.02-0ubuntu0.16.04.1) xenial; urgency=medium

  * Backport nasm 2.14 to xenial for building Firefox

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Sat, 21 Mar 2020 15:59:28 +0100

nasm (2.14.02-1) unstable; urgency=medium

  * New upstream release
  * d/control: Update standards version to 4.4.0
  * debian: Increase debhelper to 12

 -- Jordan Justen <jordan.l.justen@intel.com>  Fri, 19 Jul 2019 02:09:30 -0700

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: nasm-mozilla
 Section: devel
 Priority: optional
-Maintainer: Anibal Monsalve Salazar <anibal@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Anibal Monsalve Salazar <anibal@debian.org>
 Uploaders:
  Jordan Justen <jordan.l.justen@intel.com>,
-Standards-Version: 4.2.1
+Standards-Version: 4.4.0
 Build-Depends:
- debhelper (>= 10),
+ debhelper (>= 9),
  dpkg-dev (>= 1.16.1~),
- fonts-liberation2,
+ fonts-liberation,
  fontconfig,
  ghostscript,
  libfont-ttf-perl,

=== debian/rules ===
--- 
+++ 
@@ -21,7 +21,3 @@
 
 override_dh_auto_install:
 	dh_auto_install -- install_rdf
-
-override_dh_install:
-	dh_install
-	rm -r debian/nasm-mozilla/usr/lib/nasm-mozilla/share/

## nasm-mozilla 2.14.02-0ubuntu0.16.04.1%2B8.0trisquel1

=== debian/changelog ===
nasm-mozilla (2.14.02-0ubuntu0.16.04.1+8.0trisquel1) flidas; urgency=medium

  * Imported into Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Thu, 02 Apr 2020 12:50:40 +0000
